Subject: bug#30435: libreoffice: Fonts don't show up after install

From: Nicolò Balzarotti <[email-masked]>
Date: Thu, 02 Apr 2020 11:19:42 +0200

Pierre Neidhardt <[email-masked]> writes:

Hi, I wanted to add that the opposite is also true: removing a font
without running fc-cache always makes my emacs die on start, so I agree
that running the command automatically makes sense.

Are there any unwanted side-effects?

Thanks, Nicolò

> I can reproduce this on guix ce226e9d8d52d2530f057f2000d36c0d55380ade.
>
> But libreoffice is not the only victim: it seems that most applications
> fail to see the fonts installed in the user profile (on Guix System).
> Emacs is one example.
>
> Running
>
> --8<---------------cut here---------------start------------->8---
> fc-cache -fv
> --8<---------------cut here---------------end--------------->8---
>
> fixes the issue.
>
> Should we run this command in a profile hook?
>
> -- 
> Pierre Neidhardt
> https://ambrevar.xyz/